Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.collection.metadata
Interface CpeIntegratedCasProcessor

All Superinterfaces:
  Cloneable, CpeCasProcessor, MetaDataObject, Serializable, XMLizable

    public interface CpeIntegratedCasProcessor

extends CpeCasProcessor

An object that holds configuration that is part of the CPE descriptor. Provides the means of defining and obtaining configuration for CasProcessors collocated with the CPE.

Its basic functionality is inherited from `CpeCasProcessor`

Method Summary

Methods inherited from interface org.apache.uima.collection.metadata.CpeCasProcessor
`addDeployParam, getActionOnMaxError, getActionOnMaxRestart, getBatchSize, getCasProcessorFilter, getCheckpoint, getConfigurationParameterSettings, getCpeComponentDescriptor, getDeployment, getDeploymentParams, getDescriptor, getErrorHandling, getIsParallelizable, getMaxErrorCount, getMaxErrorSampleSize, getMaxRestartCount, getName, getRunInSeparateProcess, getSOFA, getSofaNameMappings, getTimeout, setActionOnMaxError, setActionOnMaxRestart, setBatchSize, setCasProcessorFilter, setConfigurationParameterSettings, setCpeComponentDescriptor, setDescriptor, setIsParallelizable, setMaxErrorCount, setMaxErrorSampleSize, setMaxRestartCount, setName, setSOFA, setSofaNameMappings, setTimeout`

Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject
`clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

Methods inherited from interface org.apache.uima.util.XMLizable
`buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.